// Project started on 2/20/08
// Author: Nigel Bosch
// std::string Email = "sparkynigel" + "@" + "gmail" + ".com";
//
// A "Zendo" is a meditation hall. See COPYING for license
// information on this particular zendo.

#define ZENDOTITLE	"Zendo 1.5.2"

// Defines to be used for loading file names.
#ifndef PIXMAPDIR
#define PIXMAPDIR	"/usr/share/zendo/pixmaps/"
#endif
#ifndef TMPDIR
#define TMPDIR		"/usr/share/zendo/data/"
#endif
#ifndef LOGDIR
#define LOGDIR		"/var/log/"
#endif
#define PIXMAP(file)	std::string(PIXMAPDIR + std::string(file))
#define TMPFILE(file)	std::string(TMPDIR + std::string(file))
#define WRITELOG(text)	system(std::string("echo \"" + std::string(text) + "\" && echo \"`date` " + std::string(text) + "\" >> " + std::string(LOGDIR) + "zendo.log").c_str())

#include <gtkmm.h>
#include <iostream>
#include <fstream>
#include <map>
#include "CZendo.cpp"

int main(int argc, char* argv[])
{
	Gtk::Main	kit(argc, argv);	// Initializes GTK.
	CZendo		_zendo;
	Gtk::Main::run(_zendo);			// Start GTK's event loop.

	return 0;
}
